Ports - Porting #618

Create an ARM IMG
2014-12-14 12:13 PM - aurelien

Status: wont-fix % Done: 0%
Priority: feature

Assignee:

Category:

Description

This part is also important in the ARM Port deployment and this like the rest need to be wikify too.

Related issues:
Related to Installation Media - Porting #1627: Make an arm installation iso e... wont-fix

History

#1 - 2014-12-15 06:40 AM - aurelien
- Subject changed from Create an ARM ISO to Create an ARM IMG

#2 - 2015-09-26 02:40 PM - GNUtoo

Look at bug #814 ( https://labs.parabola.nu/issues/814 ) | hope it helps.
That is exactly why | did it: to avoid the non-free arch tarball.

Now it's just a matter of packaging this rootfs in convenient formats such as tar.xz or ext4.xz or similar.

Also, for later, we could add easier installation, where the end user would have to type the minimum amount of commands possible to get the installer
running on the target device.

On x86 we put a livecd/liveusb in the machine and it boots on it.
On ARM we could think of how to achieve the same thing(Booting the installer in a very easy way) easily.

Denis

#3 - 2015-11-22 03:58 PM - GNUtoo

Hi, why does this bug takes so long to be closed?
If you need help, tell me, here's what | had in mind:

e Generate a rootfs from an x86 parabola for instance:

$ sudo su # cp /etc/pacman.conf ./ # vim pacman.conf # Replace the architecture with armv7h, the line should look like that: "Architecture =
armv7h"  # pacman-key --Isign-key builder@archlinuxarm.org # mkdir -p mnt # pacstrap -c -d -C ./pacman.conf ./mnt/ base
archlinuxarm-keyring

Now you have your rooffs, just tar it: # cd mnt && tar cJf ../parabola_arm_release.tar.xz ./

Then write instructions to use the tarball, the user can be on Trisquel, so watchout for tar permissions. # fdisk /dev/mmcblkO # Here the user is
responsible for installing the bootloader, formating the microsd etc... it's device dependant. You just release a tarball for now. # mount
/dev/mmcblkOp1 /mnt # tar xf parabola_arm_release.tar.xz -C /mnt --numeric-owner # Remember, the user can be on Trisquel # cd /mnt/boot
# cat /mnt/boot/vmlinuz-linux-libre /mnt/boot/dtbs/linux-libre/omap3-gta04a3.dtb > /tmp/zimage.dtb # mkimage -A arm -O linux -T kernel -C
none -a 0x82000000 -e 0x82000000 -d /tmp/zImage.dtb /mnt/boot/ulmage.dtb # The user then edits the bootloader arguments if necessary #
DONE

#4 - 2015-11-22 04:25 PM - GNUtoo

Each time | use redmine, | forget about that the issue tracker has a specific syntax.
So instead of only complaining(l am), | did that:

https://wiki.parabola.nu/Parabola_ ARM_installation

| hope it can be useful, please add machines and do release a tarball, please!

Denis.

#5 - 2016-05-12 12:53 AM - Anonymous
- Project changed from 19 to Ports
#6 - 2018-05-01 08:04 AM - bill-auger

- Related to Porting #1627: Make an arm installation iso even if basic added

#7 - 2018-05-01 08:05 AM - bill-auger
- Priority changed from freedom issue to feature

- Status changed from open to not-a-bug

a duplicate feature request issue now exists for this - it looks like they did not know about this open issue - i will close this one as some progress has
been noted in the new one

#8 - 2021-02-09 02:21 PM - bill-auger

- Status changed from not-a-bug to wont-fix
